#include "stdafx.h"
#include "afxwinappex.h"

#ifdef _DEBUG
# define new DEBUG_NEW
#endif

#include "iconbutton.h"

IMPLEMENT_DYNAMIC(CIconButton, CButton)

BEGIN_MESSAGE_MAP(CIconButton, CButton)
  ON_WM_CREATE()
END_MESSAGE_MAP()

CIconButton::CIconButton(
  UINT nResourceId)
{
  m_hIcon = ::LoadIcon(::GetModuleHandle(NULL), MAKEINTRESOURCE(nResourceId));
}

int
CIconButton::OnCreate(
  LPCREATESTRUCT lpCreateStruct)
{
  if (CButton::OnCreate(lpCreateStruct) == -1) {
    return -1;
  }

  SetIcon(m_hIcon);

  return 0;
}
