#ifndef _ADATA_SDK_COMMON_H
#define _ADATA_SDK_COMMON_H

#include <vxWorks.h>
#include <admxrc3.h>

#if (_WRS_VXWORKS_MAJOR > 6) || (_WRS_VXWORKS_MAJOR == 6 && _WRS_VXWORKS_MINOR >= 9)
# include <stdint.h>
# define SAMPLE_HAS_STDINT
#endif

typedef int bool_t;

#ifndef SAMPLE_HAS_STDINT
typedef size_t uintptr_t; /* Assumes that size_t is same size as pointer (pretty safe for GCC) */
#endif

extern ADMXRC3_STATUS
sampleGetFpgaFilename(
  ADMXRC3_HANDLE hCard,
  unsigned int targetIndex,
  const char* pDir,
  const char* pDesign,
  size_t bufferSize,
  char* pFileNameBuffer,
  bool_t* pbShouldConfigure);

extern ADMXRC3_STATUS
sampleOpenCard(
  unsigned int index,
  int bByIndex,
  unsigned int serial,
  int bBySerial,
  ADMXRC3_HANDLE* phCard);

extern int
sampleTaskNice(
  void);

#endif
